weka.core.pmml.jaxbbindings

## Class DataDictionary

- java.lang.Object
- - weka.core.pmml.jaxbbindings.DataDictionary

-     public class DataDictionary
      extends java.lang.Object

  Java class for DataDictionary element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="DataDictionary">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}DataField" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Taxonomy" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="numberOfFields" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataField(DataField field)`
    `java.util.List<DataField>` | `getDataFields()` Gets the value of the dataField property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.math.BigInteger` | `getNumberOfFields()` Gets the value of the numberOfFields property.
    `java.util.List<Taxonomy>` | `getTaxonomy()` Gets the value of the taxonomy property.
    `void` | `setNumberOfFields(java.math.BigInteger value)` Sets the value of the numberOfFields property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataDictionary

          public DataDictionary()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDataFields

          public java.util.List<DataField> getDataFields()

      Gets the value of the dataField property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dataField property.

      For example, to add a new item, do as follows:

              getDataField().add(newItem);

      Objects of the following type(s) are allowed in the list `DataField`

    - #### addDataField

          public void addDataField(DataField field)

    - #### getTaxonomy

          public java.util.List<Taxonomy> getTaxonomy()

      Gets the value of the taxonomy property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taxonomy property.

      For example, to add a new item, do as follows:

              getTaxonomy().add(newItem);

      Objects of the following type(s) are allowed in the list `Taxonomy`

    - #### getNumberOfFields

          public java.math.BigInteger getNumberOfFields()

      Gets the value of the numberOfFields property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfFields

          public void setNumberOfFields(java.math.BigInteger value)

      Sets the value of the numberOfFields property.
      Parameters:
        `value` - allowed object is `BigInteger`